Revoke a transfer offer
curl --request POST \
--url https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/tenants/{tenant_id}/transfer-offers/{offer_id}/revoke \
--header 'Authorization: Bearer <token>'import requests
url = "https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/tenants/{tenant_id}/transfer-offers/{offer_id}/revoke"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/tenants/{tenant_id}/transfer-offers/{offer_id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"offer": {
"offer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_type": "<string>",
"subject_id": "<string>",
"from_tenant_id": "<string>",
"to_principal_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "unauthorized",
"message": "Authentication required."
}
}{
"error": {
"code": "forbidden",
"message": "Owner or grant required."
}
}{
"error": {
"code": "validation_error",
"message": "Request body failed schema validation.",
"details": [
{
"path": "/subject_id",
"message": "subject_id is required.",
"code": "invalid_type"
}
],
"request_id": "req_01j2k3m4n5"
}
}Transfer Offers
Revoke Transfer Offer
The offeror revokes a pending offer before it is accepted. Requires tenant_owner.
POST
/
v1
/
tenants
/
{tenant_id}
/
transfer-offers
/
{offer_id}
/
revoke
Revoke a transfer offer
Authorizations
Firebase Auth JWT issued by Google Identity Platform.
Obtain a token by signing in at your app domain and calling
firebase.auth().currentUser.getIdToken().
Response
Offer revoked.
Show child attributes
Show child attributes
⌘I